org.apache.cassandra.cql3.statements

## Class ParsedStatement.Prepared

- java.lang.Object
- - org.apache.cassandra.cql3.statements.ParsedStatement.Prepared

Enclosing class:
  ParsedStatement

    public static class ParsedStatement.Prepared
    extends java.lang.Object

### Field Summary

Fields
`java.util.List<ColumnSpecification>` `boundNames`
`java.lang.Short[]` `partitionKeyBindIndexes`
`CQLStatement` `statement`

### Constructor Summary

Constructors
`` `Prepared(CQLStatement statement)`
`protected` `Prepared(CQLStatement statement, java.util.List<ColumnSpecification> boundNames, java.lang.Short[] partitionKeyBindIndexes)`
`` `Prepared(CQLStatement statement, VariableSpecifications names, java.lang.Short[] partitionKeyBindIndexes)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### statement

    public final CQLStatement statement

#### boundNames

    public final java.util.List<ColumnSpecification> boundNames

#### partitionKeyBindIndexes

    public final java.lang.Short[] partitionKeyBindIndexes

### Constructor Detail

#### Prepared

    protected Prepared(CQLStatement statement,
                       java.util.List<ColumnSpecification> boundNames,
                       java.lang.Short[] partitionKeyBindIndexes)

#### Prepared

    public Prepared(CQLStatement statement,
                    VariableSpecifications names,
                    java.lang.Short[] partitionKeyBindIndexes)

#### Prepared

    public Prepared(CQLStatement statement)